#include "StringStreamMixin.h"

#include <iomanip> // std::setprecision

namespace armarx::aron
{
    StringStreamMixin::StringStreamMixin() :
        coeffSep("  "), eigenIof(Eigen::StreamPrecision, 0, coeffSep, "\n", "", "", "", "")
    {
    }

    void
    StringStreamMixin::setStreamPrecision()
    {
        setStreamPrecision(value);
    }

    void
    StringStreamMixin::setStreamPrecision(std::ostream& os)
    {
        os << std::setprecision(2) << std::fixed;
    }

} // namespace armarx::aron
