#pragma once

#include <QDialog>

#include "RobotAPI/libraries/skills_gui/bool/ui_AronTreeWidgetBoolInputModal.h"

#include "../AronTreeWidgetModal.h"

namespace armarx::skills::gui
{
    class AronTreeWidgetBoolInputModalController : public AronTreeWidgetModal
    {

    public:
        AronTreeWidgetBoolInputModalController(const std::string& label,
                                               AronTreeWidgetItem* item,
                                               QTreeWidget* parent);

    private slots:

        void submit() final;
        void reset() final;

    private:
        Ui::AronTreeWidgetBoolInputModalWidget widget;
    };
} // namespace armarx::skills::gui
