#ifndef SKILLDETAILSTREEWIDGET_H
#define SKILLDETAILSTREEWIDGET_H

#include <QTreeWidget>

#include "../memory/MemoryCommunicatorBase.h"

namespace armarx::skills::gui
{
    class SkillDetailsTreeWidget : public QTreeWidget, public MemoryCommunicatorBase
    {
    public:
        SkillDetailsTreeWidget(std::shared_ptr<SkillManagerWrapper> _memory,
                               QWidget* parent = nullptr) :
            QTreeWidget(parent), MemoryCommunicatorBase(_memory)
        {
            setupUi();
        }

    private:
        void setupUi();
    };
} // namespace armarx::skills::gui

#endif // SKILLDETAILSTREEWIDGET_H
