#include "Converter.h"

namespace armarx::armem::server::ltm::processor::converter::data
{

    ObjectConverter::ConversionResult
    ObjectConverter::convert(const aron::data::VariantPtr& data)
    {
        auto d = aron::data::Dict::DynamicCastAndCheck(data);
        return _convert(d);
    }

    aron::data::VariantPtr
    ObjectConverter::convert(const ConversionResult& data, const armarx::aron::Path& p)
    {
        auto d = _convert(data, p);
        return d;
    }

} // namespace armarx::armem::server::ltm::processor::converter::data
