#pragma once

#include <QDialog>

#include "RobotAPI/libraries/skills_gui/float_double/ui_AronTreeWidgetFloatInputModal.h"

#include "../AronTreeWidgetModal.h"

namespace armarx::skills::gui
{
    class AronTreeWidgetFloatInputModalController : public AronTreeWidgetModal
    {

    public:
        AronTreeWidgetFloatInputModalController(const std::string& label,
                                                AronTreeWidgetItem* item,
                                                QTreeWidget* parent);

    private slots:

        void submit() final;
        void reset() final;

    private:
        Ui::AronTreeWidgetFloatInputModalWidget widget;
    };
} // namespace armarx::skills::gui
