#pragma once

#include <QDialog>

#include "RobotAPI/libraries/skills_gui/text/ui_AronTreeWidgetTextInputModal.h"

#include "../AronTreeWidgetModal.h"

namespace armarx::skills::gui
{
    class AronTreeWidgetTextInputModalController : public AronTreeWidgetModal
    {

    public:
        AronTreeWidgetTextInputModalController(const std::string& label,
                                               AronTreeWidgetItem* item,
                                               QTreeWidget* parent);

    private slots:

        void submit() final;
        void reset() final;

    private:
        Ui::AronTreeWidgetTextInputModalWidget widget;
    };
} // namespace armarx::skills::gui
