#include "SkillDetailsGroupBox.h"

#include <QVBoxLayout>

namespace armarx::skills::gui
{
    void
    SkillDetailGroupBox::setupUi()
    {
        this->setTitle(QString::fromStdString(GROUP_BOX_TITLE));

        // construct all sub widgets
        this->executeSkillButton = new QPushButton();
        this->profileMenuWidget = new ProfileMenuWidget(this->memory, this);
        this->skillDetailsTreeWidget = new SkillDetailsTreeWidget(this->memory, this);
        this->descriptionWidget = new SkillDescriptionWidget();
        layout = new QVBoxLayout();

        // Layouting
        this->setLayout(layout);

        layout->addWidget(this->profileMenuWidget);
        layout->addWidget(this->descriptionWidget);
        layout->addWidget(this->skillDetailsTreeWidget);
        layout->addWidget(this->executeSkillButton);

        // Text
        this->executeSkillButton->setText(
            QString::fromStdString(SkillDetailGroupBox::EXECUTE_SKILL_BUTTON_TEXT));
        this->show();
    }
} // namespace armarx::skills::gui
